com.rscja.deviceapi

## Class RFIDWithUHFBLEManage

- java.lang.Object
- - com.rscja.deviceapi.RFIDWithUHFBLEManage

-     public class RFIDWithUHFBLEManage
      extends java.lang.Object

  BLE设备读写器管理类，支持一对多连接
  具体操作步骤:
  1.通过`getInstance()` 函数获取 RFIDWithUHFBLEManage对象
  2.调用`addBleDevice(String address, Context context)`添加BLE读写器设备，每个蓝牙地址作为设备的唯一标识
  3.通过`getBleDeviceByMac(String address)` 函数获取每一台蓝牙设备的操作对象 `com.rscja.deviceapi.BleDevice`。

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RFIDWithUHFBLEManage()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addBleDevice(java.lang.String mac, android.content.Context context)` 增加蓝牙设备
    `void` | `connectAll()` 连接所有蓝牙
    `void` | `disConnectAll()` 断开所有蓝牙
    `java.util.List<BleDevice>` | `getAllBleDevice()` 获取所有的ble设备
    `BleDevice` | `getBleDeviceByMac(java.lang.String address)` 通过蓝牙地址获取蓝牙设备
    `static RFIDWithUHFBLEManage` | `getInstance()`
    `boolean` | `removeBleDevice(java.lang.String mac)` 移除蓝牙设备
    `void` | `startScanBTDevices(ScanBTCallback scanBTCallback, android.content.Context context)` 搜索蓝牙
    `void` | `stopScanBTDevices()` 停止搜索蓝牙

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RFIDWithUHFBLEManage

          public RFIDWithUHFBLEManage()

  - ### Method Detail

    - #### getInstance

          public static RFIDWithUHFBLEManage getInstance()

    - #### startScanBTDevices

          public void startScanBTDevices(ScanBTCallback scanBTCallback,
                                         android.content.Context context)

      搜索蓝牙
      Parameters:
        `scanBTCallback` -

    - #### stopScanBTDevices

          public void stopScanBTDevices()

      停止搜索蓝牙

    - #### getBleDeviceByMac

          public BleDevice getBleDeviceByMac(java.lang.String address)

      通过蓝牙地址获取蓝牙设备
      Parameters:
        `address` -
      Returns:

    - #### addBleDevice

          public boolean addBleDevice(java.lang.String mac,
                                      android.content.Context context)

      增加蓝牙设备
      Parameters:
        `mac` -
      Returns:

    - #### removeBleDevice

          public boolean removeBleDevice(java.lang.String mac)

      移除蓝牙设备
      Parameters:
        `mac` -
      Returns:

    - #### getAllBleDevice

          public java.util.List<BleDevice> getAllBleDevice()

      获取所有的ble设备
      Returns:

    - #### connectAll

          public void connectAll()

      连接所有蓝牙

    - #### disConnectAll

          public void disConnectAll()

      断开所有蓝牙